#include "io430.h"
#include <stdbool.h>
#include "display01.h" // fr waitOneMillisecond

bool isButtonPressed(void);
void switchLED(int w);
bool isEven(int x);

int main(void)
{
  initialize();
  
  P1DIR = 0x41;
  P1OUT = 0;  

  int numberOfKeyPresses = 0;
  while(true)
  {
    int waitTime = 0;
    while(!isButtonPressed())
    {
      waitOneMillisecond();
      waitTime++;
      if(waitTime >= 1000)
      {
        waitTime = 0;
      }
      if(waitTime == 0)
      {
        switchLED(0);
      }
      else if(waitTime == 500)
      {
        switchLED(1);
      }      
    }
    numberOfKeyPresses++;
    if(isEven(numberOfKeyPresses))
    {
      switchLED(0);
    }
    else
    {
      switchLED(1);
    }   
    while(isButtonPressed())
    {
      waitOneMillisecond();
    }
  }
  // return 0;
}

bool isButtonPressed(void)
{
  return (P1IN & 8) == 0;
}

void switchLED(int w)
{
  if(w == 0)
  {
    P1OUT = 1;
  }
  else
  {
    P1OUT = 0x40;
  }
}

bool isEven(int x)
{
  return x%2 == 0;
}